package com.vendor.burn.model.devices.burners;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.vendor.burn.Messages;
import com.vendor.burn.commands.I2cCommand;
import com.vendor.burn.model.BurnContext;
import com.vendor.burn.model.TransferWay;
import com.vendor.burn.model.define.IFastbootProgressMonitor;
import com.vendor.burn.model.devices.burners.PartitionBurner;
import com.vendor.burn.model.event.FastbootEvent;
import com.vendor.burn.preferences.FastbootPreferences;
import com.vendor.burn.serial.workers.PartitionBurnerWorker;
import com.vendor.burn.utilitily.ToolUtils;
import java.net.InetAddress;
import java.net.UnknownHostException;
import org.eclipse.core.runtime.IProgressMonitor;
import org.eclipse.core.runtime.IStatus;
import org.eclipse.core.runtime.Status;
import org.eclipse.core.runtime.jobs.Job;
import org.vendor.tftp.tool.TFTPService;

class null extends Job {
  null(String name) {
    super(name);
  }
  
  protected IStatus run(IProgressMonitor monitor) {
    try {
      if (fastbootMonitor != null)
        fastbootMonitor.begin(); 
      TransferWay transferWay = PartitionBurner.this.getBurnContext().getTransferWay();
      if (transferWay == TransferWay.I2CBootrom) {
        if (PartitionBurner.this.children != null && PartitionBurner.this.children.size() > 0)
          if (I2cCommand.I2cOpenChannelForBootrom(52, fastbootMonitor)) {
            PartitionBurnerWorker.infoln("\nI2C channels open success, the bit rate is " + I2cCommand.getBaudRate() + ", device address is 0x" + 
                Integer.toHexString(52));
          } else {
            if (fastbootMonitor != null)
              fastbootMonitor.finish(); 
            return Status.CANCEL_STATUS;
          }  
      } else if (worker.isNeedSetupNet(transferWay)) {
        openNet(fastbootMonitor, context);
      } 
      boolean partBurn = worker.burn(monitor, ToolUtils.removeNoEarsePart(PartitionBurner.this.children));
      event.setSuccess(partBurn);
    } catch (Throwable e) {
      PartitionBurner.this.dealWithException(fastbootMonitor, monitor, e);
      return Status.CANCEL_STATUS;
    } finally {
      worker.close();
    } 
    return Status.OK_STATUS;
  }
  
  public void openNet(IFastbootProgressMonitor fastbootMonitor, BurnContext context) {
    boolean start = false;
    InetAddress address = null;
    try {
      address = InetAddress.getByName("x.x.x.x");
    } catch (UnknownHostException unknownHostException) {}
    try {
      int port = FastbootPreferences.getInt("vendor.burn.tftp.port");
      if (!TFTPService.TFTPSERVICE.isStart())
        start = TFTPService.TFTPSERVICE.start(PartitionBurner.this.getParentFile(), address, ToolUtils.getPortCmd(), port); 
      PartitionBurner.this.getTftpPreferenceValue();
      context.setTftpOccupied(!start);
    } catch (Exception e) {
      context.setTftpOccupied(true);
      PartitionBurner.this.handleTftpStartFailed();
    } finally {
      if (!start)
        fastbootMonitor.warnln(Messages.PartitionBurner_msg_start_Tftp_server_failed_on_port_69); 
    } 
  }
}
